package com.unis.auth.common;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;



/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 企业信息实体
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel(value="企业信息对象")
public class CompanyVO  {
	
	@ApiModelProperty(value="主键id")
	private Integer id;

	/**
	 * 统一社会信用代码
	 */
	@ApiModelProperty(value="统一社会信用代码",required = true)
	private String tyshxydm;
	
	/**
	 * 组织机构代码
	 */
	@ApiModelProperty(value="组织机构代码")
	private String zzjgdm;
	
	/**
	 * 企业名称
	 */
	@ApiModelProperty(value="企业名称",required = true)
	private String qymc;

	/**
	 * 企业类型
	 */
	@ApiModelProperty(value="企业类型")
	private String[] qylx;
	
	/**
	 * 单位代码
	 */
	@ApiModelProperty(value="单位代码")
	private String dwdm;
	
	
	/**
	 * 企业经济类型
	 */
	@ApiModelProperty(value="企业经济类型")
	private String qyjjlx;
	
	/**
	 * 企业性质
	 */
	@ApiModelProperty(value="企业性质")
	private String qyxz;
	
	/**
	 * 登记注册类型
	 */
	@ApiModelProperty(value="登记注册类型")
	private String djzclx;
	
	/**
	 * 工商登记注册号
	 */
	@ApiModelProperty(value="工商登记注册号")
	private String gsdjzch;
	
	/**
	 * 法定代表人
	 */
	@ApiModelProperty(value="法定代表人")
	private String fddbr;
	
	/**
	 * 办公电话
	 */
	@ApiModelProperty(value="办公电话")
	private String bgdh;
	
	/**
	 * 企业电子邮箱
	 */
	@ApiModelProperty(value="企业电子邮箱")
	private String frsjh;
	
	/**
	 * 企业电子邮箱
	 */
	@ApiModelProperty(value="企业电子邮箱")
	private String qydzyx;
	
	/**
	 * 注册资本
	 */
	@ApiModelProperty(value="注册资本")
	private Integer zczb;
	
	/**
	 * 从业人员数
	 */
	@ApiModelProperty(value="从业人员数")
	private Integer qycyrys;
	
	/**
	 * 中级以上职称人数
	 */
	@ApiModelProperty(value="中级以上职称人数")
	private Integer zjyszcrs;
	
	/**
	 * 保管员人数
	 */
	@ApiModelProperty(value="保管员人数")
	private Integer bgyrs;
	
	/**
	 * 检化验员人数
	 */
	@ApiModelProperty(value="检化验员人数")
	private Integer jhyyrs;
	
	/**
	 * 有职业资格证书人数
	 */
	@ApiModelProperty(value="有职业资格证书人数")
	private Integer yzyzgzsrs;
	
	/**
	 * 企业传真
	 */
	@ApiModelProperty(value="企业传真")
	private String qyczhm;
	
	/**
	 * 企业通讯地址
	 */
	@ApiModelProperty(value="企业通讯地址")
	private String qytxdz;
	
	/**
	 * 企业邮编
	 */
	@ApiModelProperty(value="企业邮编")
	private String qyyb;
	
	/**
	 * 企业主营业务
	 */
	@ApiModelProperty(value="企业主营业务")
	private String qyzyyw;
	
	/**
	 * 企业注册时间
	 */
	@ApiModelProperty(value="企业注册时间")
	private Date qyzcsj;
	
	/**
	 * 中专学历以上人员
	 */
	@ApiModelProperty(value="中专学历以上人员")
	private Integer zzxlysry;
	
	/**
	 * 企业收储粮食主要品种
	 */
	@ApiModelProperty(value="企业收储粮食主要品种")
	private String qysclszypz;
	
	/**
	 * 企业隶属关系
	 */
	@ApiModelProperty(value="企业隶属关系")
	private String qylsgx;
	
	/**
	 * 企业应急级别
	 */
	@ApiModelProperty(value="企业应急级别")
	private String qyyjjb;
	
	/**
	 * 企业经度
	 */
	@ApiModelProperty(value="企业经度")
	private String qyjd;
	
	/**
	 * 企业纬度
	 */
	@ApiModelProperty(value="企业纬度")
	private String qywd;
	
	/**
	 * 企业所属区域
	 */
	@ApiModelProperty(value="企业所属区域")
	private String qyszqy;
	
	/**
	 * 企业机构代码
	 */
	@ApiModelProperty(value="企业机构代码")
	private String qyjgdm;
	
	/**
	 * 企业仓储能力
	 */
	@ApiModelProperty(value = "企业仓储能力")
	private Integer qyccnl;
	
	/**
	 * 企业状态
	 */
	@ApiModelProperty(value = "企业状态(1、正常。0，注销)")
	private Integer qyzt;
	
	/**
	 * 企业所属区域编号
	 */
	@ApiModelProperty(value = "企业所属区域编号")
	private String qyszqybh;

	/**
	 * 企业应急类型编号
	 */
	@ApiModelProperty(value="企业应急类型编号")
	private String qyyjlxbh;

	/**
	 * 企业应急类型名称
	 */
	@ApiModelProperty(value="企业应急类型名称")
	private String qyyjlxmc;

	/**
	 * 是否独立法人资格 0否.1、是
	 */
	@ApiModelProperty(value="是否独立法人资格 0否.1、是")
	private Integer sfdlfrzg;

	/**
	 * 下属企业个数
	 */
	@ApiModelProperty(value="下属企业个数")
	private Integer xsqygs;

	/**
	 *注册日期
	 */
	@ApiModelProperty(value="注册日期")
	private Date zcrq;

	/**
	 * 是否具有收购资格0、否。1、有
	 */
	@ApiModelProperty(value="是否具有收购资格0、否。1、有")
	private Integer sfjysgzg;

	/**
	 *粮食收购许可证发证机关
	 */
	@ApiModelProperty(value="粮食收购许可证发证机关")
	private String lssgxkzfzjg;

	/**
	 * 粮食收购资格证编号
	 */
	@ApiModelProperty(value="粮食收购资格证编号")
	private String sgzgzbh;

	/**
	 * 粮食收购资格证编号
	 */
	@ApiModelProperty(value="粮食收购资格证编号")
	private String sslsxzglbm;

	/**
	 * 所属粮食行政管理部门名称
	 */
	@ApiModelProperty(value = "所属粮食行政管理部门名称")
	private String sslsxzglbmmc;

	/**
	 * 占地面积
	 */
	@ApiModelProperty(value="占地面积")
	private BigDecimal zdmj;

	/**
	 * 设施占地面积
	 */
	@ApiModelProperty(value="设施占地面积")
	private BigDecimal sszdmj;

	/**
	 * 申请竣工时间
	 */
	@ApiModelProperty(value="申请竣工时间")
	private Date sqjgzdmj;

	/**
	 * 企业工商登记机关
	 */
	@ApiModelProperty(value="企业工商登记机关")
	private String qygsdjjg;

	/**
	 * 企业联系人
	 */
	@ApiModelProperty(value="企业联系人")
	private String qylxr;

	/**
	 * 营业收入
	 */
	@ApiModelProperty(value = "营业收入")
	private Integer yysr;

	/**
	 * 利税总额
	 */
	@ApiModelProperty(value = "利税总额")
	private Integer lsze;

	/**
	 * 当年研究开发投入
	 */
	@ApiModelProperty(value = "当年研究开发投入")
	private Integer dnyjkftr;

	/**
	 * 发明专利
	 */
	@ApiModelProperty(value = "发明专利")
	private String fmzl;

	/**
	 * 工业总产值
	 */
	@ApiModelProperty(value = "工业总产值")
	private Integer gyzcz;

	/**
	 * 利润总额
	 */
	@ApiModelProperty(value = "利润总额")
	private Integer lrze;

	/**
	 * 政府支持投入
	 */
	@ApiModelProperty(value = "政府支持投入")
	private Integer zfzctr;

	/**
	 * 产品销售收入
	 */
	@ApiModelProperty(value = "产品销售收入")
	private Integer cpxssr;

	/**
	 * 资产总额
	 */
	@ApiModelProperty(value = "资产总额")
	private Integer zcze;

	/**
	 * 当年专利获得数
	 */
	@ApiModelProperty(value = "当年专利获得数")
	private Integer dnzlhds;

	/**
	 * 年产粮油机械制造
	 */
	@ApiModelProperty(value = "年产粮油机械制造")
	private Integer nclyjxzz;

	/**
	 * 油脂加工主机
	 */
	@ApiModelProperty(value = "油脂加工主机")
	private String yzjgzj;

	/**
	 * 通用设备
	 */
	@ApiModelProperty(value = "通用设备")
	private String tysb;

	/**
	 * 能源消耗标准煤
	 */
	@ApiModelProperty(value = "能源消耗标准煤")
	private Integer nhxhbzm;

	/**
	 * 罐容
	 */
	@ApiModelProperty(value = "罐容")
	private Integer gr;

	/**
	 * 大米加工主机
	 */
	@ApiModelProperty(value = "大米加工主机")
	private String dmjgzj;

	/**
	 * 饲料加工主机
	 */
	@ApiModelProperty(value = "饲料加工主机")
	private String sljgzj;

	/**
	 * 能源耗电
	 */
	@ApiModelProperty(value = "能源耗电")
	private Integer nyhd;

	/**
	 * 能源消耗溶剂
	 */
	@ApiModelProperty(value = "能源消耗溶剂")
	private String nyxhrj;

	/**
	 * 小麦粉加工主机
	 */
	@ApiModelProperty(value = "小麦粉加工主机")
	private String xmfjgzj;

	/**
	 * 仓储设备
	 */
	@ApiModelProperty(value = "仓储设备")
	private String ccsb;

	/**
	 * 能源消耗水
	 */
	@ApiModelProperty(value = "能源消耗水")
	private String nyxhs;

	/**
	 * 总仓容（以三等小麦计）
	 */
	@ApiModelProperty(value = "仓容（以三等小麦计）")
	private Integer zcr;

	/**
	 * 仓房栋
	 */
	@ApiModelProperty(value = "仓房栋")
	private Integer cfd;

	/**
	 * 仓房间
	 */
	@ApiModelProperty(value = "仓房间")
	private Integer cfj;

	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String  bz;

	@ApiModelProperty(value = "所属地区市code", notes ="所属地区市code", required = false)
	private String shi;

	@ApiModelProperty(value = "所属地区市名称", notes ="所属地区市名称", required = false)
	private String shiName;

	@ApiModelProperty(value = "所属地区县code", notes ="所属地区县code", required = false)
	private String xian;

	@ApiModelProperty(value = "所属地区县名称", notes ="所属地区县名称", required = false)
	private String xianName;

	
	/**
	 * 是否备案  （0，未备案，1，待提交，2待审核，3已驳回，4，已备案）
	 */
	@ApiModelProperty(value = "是否备案  （0，未备案，1，待提交，2待审核，3已驳回，4，已备案）")
	private Integer  sfba;

	@ApiModelProperty(value = "经营范围", notes ="经营范围", required = false)
	private String jyfw;

	@ApiModelProperty(value = "用户信息", notes ="用户信息", required = false)
	private UserDTO userDTO;

	@ApiModelProperty(value = "组织机构", notes ="组织机构", required = false)
	private OrgainzeDTO orgainzeDTO;
	
	@ApiModelProperty(value="企业类型列表")
	private List<TzQylxVO> tzQylxVOList;
}
