package com.unis.auth.controller;

import com.unis.common.utils.ResponseWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpSession;

/**
 * @ClassName TokenController
 * @Description TODO
 * @Author tiechanglong
 * @Date 2019/12/18 15:59
 * @Version 0.0.3
 **/

@RestController
@Api(value = "用户认证", tags = "用户认证")
@Slf4j
public class TokenController {
    @ApiOperation(value = "获取token", notes = "返回值在response header中")
    @GetMapping(value = "/token")
    //@CrossOrigin
    public ResponseWrapper token() {
        return ResponseWrapper.success();
    }

    @GetMapping(value = "/logout")
    public ResponseWrapper logout(HttpSession session) throws InterruptedException {
        session.invalidate();
        return ResponseWrapper.success(HttpStatus.OK.value(), "登出成功!", null);
    }
}
