package com.unis.auth.feign;

import com.unis.auth.common.CompanyVO;
import com.unis.auth.common.FindUserPasswdDTO;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

import com.unis.common.utils.ResponseWrapper;

/**
 * 
 * @ClassName: MyUserClient 
 * @Description:  
 * @author tiechanglong
 * @date 2018年12月5日 下午5:11:16 
 * 
 * @version 1.2.0
 */
@FeignClient(name = "myuser")
@Component
public interface MyUserClient {

	/**
	 * 
	 * @Description: 登陆接口
	 *
	 * @date 2018年12月5日,下午5:20:42
	 * @author tiechanglong
	 * @version 1.2.0
	 *
	 * @param sign
	 * @param username
	 * @param password
	 * @return
	 */
    @RequestMapping(method = RequestMethod.POST,value = "/user/login/{sign}/{username}/{password}")
    ResponseWrapper login(@PathVariable("sign") Integer sign, @PathVariable("username") String username
            , @PathVariable("password") String password);

	@ApiOperation(value = "找回密码", notes = "账号、新密码")
	@PostMapping(value = "/user/findPwd")
	public ResponseWrapper findPwd(@RequestBody FindUserPasswdDTO dto);

	@ApiOperation(value = "填写注册信息", notes = "")
	@PostMapping(value = "/user/registerCompany")
	public ResponseWrapper registerCompany(@RequestBody CompanyVO companyVO);

	/**
	 *
	 * @Description: 登陆接口
	 *
	 * @date 2018年12月5日,下午5:20:42
	 * @author tiechanglong
	 * @version 1.2.0
	 * @return
	 */
	@RequestMapping(method = RequestMethod.GET,value = "/user/findByUsername/{userType}/{userLoginName}")
	ResponseWrapper findByUsername(@RequestParam("userType") String userType, @RequestParam("userLoginName") String userLoginName);


	/**
	 * @param mobile
	 * @return根据手机号获取用户信息
	 */
	@RequestMapping(method = RequestMethod.GET,value = "/user/getUserInfoBymobile/{mobile}")
	ResponseWrapper getUserInfoBymobile(@RequestParam("mobile") String mobile);

	/**
	 * @param shxydm
	 * @return根据统一社会信用代码查询
	 */
	@RequestMapping(method = RequestMethod.GET,value = "/transaction/findByShxydm")
	ResponseWrapper findByShxydm(@RequestParam("shxydm") String shxydm);

	/**
	 * @param Dwdm
	 * @return根据单位代码查询
	 */
	@RequestMapping(method = RequestMethod.GET,value = "/transaction/findByDwdm")
	ResponseWrapper findByDwdm(@RequestParam("Dwdm") String Dwdm);
}
